# Created by pyp2rpm-0.5.2
%global pypi_name jedi
%global with_python3 1

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        2%{?dist}
Summary:        An auto completion tool for Python that can be used for text editors
Group:          Development/Languages

License:        LGPLv3
URL:            https://jedi.readthedocs.org/en/latest/index.html
Source0:        http://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with_python3
 
%description
Jedi is an auto completion tool for Python.
It works. With and without syntax
errors. Sometimes it sucks, but that's normal
in dynamic languages. But it
sucks less than other tools. It understands almost
all of the basic Python
syntax elements including many built-ins.

Jedi uses a very simple
interface to connect with IDE's. As an reference, there
is a VIM
implementation, which uses Jedi's auto completion. However, I encourage
you to
use Jedi in your IDEs. Start writing plugins! If there are problems with
licensing, just contact me.

%if 0%{?with_python3}
%package -n python3-jedi
Summary:        An auto completion tool for Python that can be used for text editors
Group:          Development/Languages

%description -n python3-jedi
Jedi is an auto completion tool for Python.
It works. With and without syntax
errors. Sometimes it sucks, but that's normal
in dynamic languages. But it
sucks less than other tools. It understands almost
all of the basic Python
syntax elements including many built-ins.

Jedi uses a very simple
interface to connect with IDE's. As an reference, there
is a VIM
implementation, which uses Jedi's auto completion. However, I encourage
you to
use Jedi in your IDEs. Start writing plugins! If there are problems with
licensing, just contact me.
%endif # with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build

%if 0%{?with_python3}
%{__python3} setup.py build
%endif # with_python3

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%{__python2} setup.py install --skip-build --root %{buildroot}
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif # with_python3

%files
%doc README.rst LICENSE.txt
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-jedi
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 07 2015 Petr Hracek <phracek@kiasportyw-brq-redhat-com> - 0.9.0-1
- new upstream version 0.9.0 (#1217032)

* Mon Jan 19 2015 Petr Hracek <phracek@redhat.com> - 0.8.1-1
- new upstream version 0.8.1 (#1178815)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Jan 06 2014 Petr Hracek <phracek@redhat.com> - 0.7.0-3
- Fix: Enable python3 subpackage (#1038398)

* Fri Aug 23 2013 Petr Hracek <phracek@redhat.com> - 0.7.0-1
- new upstream version 0.7.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Petr Hracek <phracek@redhat.com> - 0.6.0-1
- new upstream version 0.6.0

* Wed Apr 17 2013 Petr Hracek <phracek@redhat.com> - 0.5b5-3
- Test suite is available only on dev branch. It will not be used.

* Thu Apr 11 2013 Petr Hracek <phracek@redhat.com> - 0.5b5-2
- Some type warnings.
- Added dependency to python2-devel
- tests were run and 5/679 failed

* Thu Apr 11 2013 Petr Hracek <phracek@redhat.com> - 0.5b5-1
- Initial package.
